# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.0] - 2024-03-15
Added new banner patterns, and patterns are now categorised.

### Added
- Curtains: A fancy curtain border.
- Diamonds: A 'Diamonds' playing card symbol.
- Hammer: An icon of a hammer.
- Revolution: An icon of a fist raised in a revolutionary pose.
- Ribs: A skeletal / rib-like border pattern.
- Shield: An icon of a shield.
- Tattered: A pattern reminiscent of a tattered banner.
- Trident: An icon of a trident.

### Changed
- Many patterns now require a Banner Pattern item to be used.
  - This was done for future-proofing, as the loom was getting crowded.
  - Patterns have been split in to 7 categories
    - Base: No Banner Pattern required. For basic patterns and borders.
    - Creeper: Requires 'Creeper Charge' Banner Pattern. For mob related patterns.
    - Flower: Requires 'Flower Charge' Banner Pattern. For patterns related to nature and harmony.
    - Globe: Requires 'Globe' Banner Pattern. For block and item related patterns.
    - Thing: Requires 'Thing' Banner Pattern. For icon and miscellaneous patterns.
    - Snout: Requires 'Snout' Banner Pattern. For patterns related to buildings or places.
    - Skull: Requires 'Skull Charge' Banner Pattern. For patterns related to weapons, armour or accessories.
  - See [README.md](README.md) for each pattern's category.

### Fixed
- Removed excess pixels from the 'Fancy' border pattern.

## [0.1.0] - 2024-03-10
Initial release

### Added
- Blam: A radial stripe pattern.
- Castle: A castle icon.
- Chequered: A chequer-board pattern.
- Circle Tiles: A tile pattern of circles.
- Clubs: A 'Clubs' playing card symbol.
- Cogs: A steam punk themed border.
- Companion: A companion cube icon.
- Crown: A crown icon.
- Fancy: A fancy border, more rounded than 'Bordure Indented'.
- Hearts: A 'Hearts' playing card symbol.
- Moon: A crescent moon icon.
- Palace: An icon of a palace, flying a flag.
- Peace: A peace symbol.
- Pumpkin: A carved pumpkin face.
- Spades: A 'Spades' playing card symbol.
- Sun: A sun icon.
- Sword: An icon of a sword.
- Yin and Yang: An icon of yin and yang.